Bug 618137 - Review Request: python-TraitsBackendWX - WxPython backend for Traits and TraitsGUI (Pyface)
Review Request: python-TraitsBackendWX - WxPython backend for Traits and Trai...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Howard Ning
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 618155
  Show dependency treegraph
 
Reported: 2010-07-26 05:03 EDT by Chen Lei
Modified: 2010-08-09 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-09 21:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrlhwliberty: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chen Lei 2010-07-26 05:03:29 EDT
Description:

The TraitsBackendWX project contains an implementation of TraitsGUI 
using wxPython. It provides wx-based support for visualization and 
editing of Traits-based objects.

Links:
http://dl.dropbox.com/u/1338197/1/python-TraitsBackendWX-3.4.0-1.fc13.src.rpm
http://dl.dropbox.com/u/1338197/1/python-TraitsBackendWX.spec
Comment 1 Howard Ning 2010-08-04 11:44:50 EDT
Formal review:

 +:ok, =:needs attention, -:needs fixing ?: unknown

MUST Items:
[+] MUST: rpmlint must be run on every package.
python-TraitsBackendWX.spec: W: no-cleaning-of-buildroot %install
python-TraitsBackendWX.spec: W: no-cleaning-of-buildroot %clean
python-TraitsBackendWX.spec: W: no-buildroot-tag
python-TraitsBackendWX.spec: W: no-%clean-section
0 packages and 1 specfiles checked; 0 errors, 4 warnings.
python-TraitsBackendWX.src: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
python-TraitsBackendWX.src: W: spelling-error %description -l en_US wxPython -> pythoness, Python, python
python-TraitsBackendWX.src: W: spelling-error %description -l en_US wx -> ex, w, x
python-TraitsBackendWX.src: W: no-cleaning-of-buildroot %install
python-TraitsBackendWX.src: W: no-cleaning-of-buildroot %clean
python-TraitsBackendWX.src: W: no-buildroot-tag
python-TraitsBackendWX.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
python-TraitsBackendWX.noarch: W: spelling-error Summary(en_US) backend -> backed, backbend, back end
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
0776528c8205e2d90975bce7012c371d  TraitsBackendWX-3.4.0.tar.gz
0776528c8205e2d90975bce7012c371d  TraitsBackendWX-3.4.0.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[-] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
Own this directory?
/usr/lib/python2.6/site-packages/enthought/

[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[+] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[?] SHOULD: The reviewer should test that the package functions as described.
Importing is OK but whether it is functional is hard to test.

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: Packages should try to preserve timestamps of original installed files.

Conclusion:

Issues:
ownership of 
/usr/lib/python2.6/site-packages/enthought/
Comment 2 Chen Lei 2010-08-06 07:32:33 EDT
/usr/lib/python2.6/site-packages/enthought/   should not be owned by this package, some dependencies of this package already own it.
Comment 3 Howard Ning 2010-08-06 08:05:11 EDT
I see python-TraitsGUI owns it. Also why do you requires python-TraitsBackendWX?
Comment 4 Chen Lei 2010-08-06 08:11:17 EDT
Remove requires: python-TraisBackendWX
http://dl.dropbox.com/u/1338197/1/python-TraitsBackendWX-3.4.0-2.fc13.src.rpm
Comment 5 Howard Ning 2010-08-06 08:42:40 EDT
I don't see major issues here. 
APPROVED!
Comment 6 Chen Lei 2010-08-08 01:26:32 EDT
Thanks for the quick review!

New Package SCM Request
=======================
Package Name: python-TraitsBackendWX
Short Description: WxPython backend for Traits and TraitsGUI (Pyface)
Owners: supercyper
Branches: f13 f14
InitialCC:
Comment 7 Kevin Fenzi 2010-08-09 13:29:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.